/*================================================*/
/* TVTINTER.C                                     */
/*                                                */
/* (c) Copyright 1988 Ralf Brown                  */
/*     All Rights Reserved                        */
/* May be freely copied for noncommercial use,    */
/* provided that this copyright notice remains    */
/* intact and any changes are indicated in the    */
/* comment blocks preceding functions             */
/*================================================*/

#include "tvapi.h"

/*================================================*/
/* TVinterrupt   software interrupt a task        */
/*   Ralf Brown 4/8/88                            */
/*================================================*/

void pascal TVinterrupt(OBJECT task,void far (*func)(void))
{
   _DX = FP_SEG(_TVinterrupt_handler) ; /* have our own routine call the */
   _CX = FP_OFF(_TVinterrupt_handler) ;
   _DI = FP_OFF(func) ;                /* function we want to give control */
   _ES = FP_SEG(func) ;
   _BX = OBJSEG(task) ;  /* object handle */
   _AX = 0x1021 ;
   geninterrupt(0x15) ;
}

/* End of TVTINTER.C */
